Bug 1306401 - Gnome screensaver cannot unlock when using sssd
Gnome screensaver cannot unlock when using sssd
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-10 12:46 EST by wouter
Modified: 2016-12-20 13:36 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:36:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wouter 2016-02-10 12:46:03 EST
Description of problem:

I have a configuration, using sssd to authenticate against Windows 2012R2 servers, using standard AD configuration options, combined with credential-caching.

This works fine at the office, but off-site I can login, using the cached credentials (both starting an X-session and at the console) and work as expected. However at the moment that the gnome screen save (screen lock) becomes active it is not possible to unlock the screen.
I can provide my password, but the result is that then the screen is 'frozen'. No response to mouse movement or keyboard responses to e.g. caps-lock.

At that moment I can login at a console, so credential caching still seems to work as expected.

Version-Release number of selected component (if applicable):


How reproducible:
100% of the time

Steps to Reproduce:
1. Make computer member of AD domain
2. Configure sssd to use AD credentials
3. Enable credential caching in sssd
4. check on-site that the configuration is working (both cached and non cached (online))
5. Disconnect the computer from the network
6. Login with cached credential
7. Wait for the screen lock to appear
8. Try to unlock

Actual results:
Frozen screen, unable to start a new X session (ctrl-alt-f1 to get at the login screen and re-selecting the username + providing credentials do not work)

Expected results:
Both on-line and off-line being able to unlock the screen, and not only when online.

Additional info:
Comment 1 Yaakov Selkowitz 2016-02-10 12:51:08 EST
GNOME no longer uses gnome-screensaver for screen locking; reassigning.
Comment 2 Fedora End Of Life 2016-11-24 10:29:34 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 13:36:31 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.